Bug 22391 - Incorrect GROUP BY in /acqui/ajax-getauthvaluedropbox.pl
Summary: Incorrect GROUP BY in /acqui/ajax-getauthvaluedropbox.pl
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-21 16:47 UTC by Nick Clemens
Modified: 2019-02-26 09:17 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22391: Remove group by clause in ajax-getauthvaluedropbox.pl (901 bytes, patch)
2019-02-21 16:49 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22391: Remove group by clause in ajax-getauthvaluedropbox.pl (957 bytes, patch)
2019-02-22 16:55 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-02-21 16:47:18 UTC
Also see bug 21593
Comment 1 Nick Clemens 2019-02-21 16:49:42 UTC
Created attachment 85465 [details] [review]
Bug 22391: Remove group by clause in ajax-getauthvaluedropbox.pl

To test:
1 - Enable strict sql modes
2 - Tail the error log
3 - Add an item to a basket - note that when fund selected you get an error
4 - Apply patch
5 - Repeat, no error
Comment 2 Tomás Cohen Arazi 2019-02-22 16:55:30 UTC
Created attachment 85568 [details] [review]
Bug 22391: Remove group by clause in ajax-getauthvaluedropbox.pl

To test:
1 - Enable strict sql modes
2 - Tail the error log
3 - Add an item to a basket - note that when fund selected you get an error
4 - Apply patch
5 - Repeat, no error

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 3 Nick Clemens 2019-02-22 17:39:12 UTC
Awesome work all!

Pushed to master for 19.05
Comment 4 Martin Renvoize 2019-02-26 09:17:47 UTC
Pushed to 18.11.x for 18.11.04